{
  lib,
  pkgs,
  ...
}:
{
  config.stylix = {
    enable = lib.mkDefault true;
    polarity = lib.mkDefault "dark";

    cursor = {
      package = lib.mkDefault pkgs.bibata-cursors;
      name = lib.mkDefault "Bibata-Modern-Classic";
      size = lib.mkDefault 32;
    };

    fonts = {
      serif = {
        package = lib.mkDefault pkgs.lato;
        name = lib.mkDefault "Lato";
      };
      sansSerif = {
        package = lib.mkDefault pkgs.lato;
        name = lib.mkDefault "Lato";
      };
      monospace = {
        package = lib.mkDefault pkgs.maple-mono.NF;
        name = lib.mkDefault "Maple Mono NF";
      };
      emoji = {
        package = lib.mkDefault pkgs.noto-fonts-color-emoji;
        name = lib.mkDefault "Noto Color Emoji";
      };
      sizes = {
        applications = lib.mkDefault 14;
        desktop = lib.mkDefault 12;
        popups = lib.mkDefault 12;
        terminal = lib.mkDefault 14;
      };
    };

    iconTheme = {
      enable = lib.mkDefault true;
      package = lib.mkDefault pkgs.papirus-icon-theme;
      light = lib.mkDefault "Papirus-Light";
      dark = lib.mkDefault "Papirus-Dark";
    };

    targets = {
      plymouth.enable = lib.mkDefault false;
    };
  };
}
